Bug 1994642 - Update CSI drivers
Summary: Update CSI drivers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-17 15:39 UTC by Jan Safranek
Modified: 2021-10-18 17:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:46:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift azure-disk-csi-driver pull 13 0 None None None 2021-08-25 10:42:50 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:06 UTC

Description Jan Safranek 2021-08-17 15:39:27 UTC
We should check what version of CSI drivers we ship in 4.9 and possibly update them to the latest upstream release.

These drivers will be considered:
aws-ebs-csi-driver
aws-efs-csi-driver
gcp-pd-csi-driver
cloud-provider-openstack (cinder, manila)
csi-driver-nfs
ovirt-csi-driver
vmware-vsphere-csi-driver
azure-disk-csi-driver

Comment 1 Jan Safranek 2021-08-18 13:25:20 UTC
Updating aws-ebs-csi-driver in https://github.com/kubernetes-sigs/aws-ebs-csi-driver/pull/1026 (to get XFS fixes).

Comment 2 Jan Safranek 2021-08-18 13:29:10 UTC
Sorry, this is the right aws-ebs-csi-driver update: https://github.com/openshift/aws-ebs-csi-driver/pull/190

Comment 3 Jan Safranek 2021-08-18 16:05:02 UTC
gcp-pd-csi-driver update: https://github.com/openshift/gcp-pd-csi-driver/pull/16

Comment 4 Jan Safranek 2021-08-18 16:20:31 UTC
AzureDisk has released v1.5.1 and we have 1.5.0 in OCP 4.9. I am updating it to v1.5.1, because there is only one change and that change fixes an issue on Azure Stack Hub: https://github.com/kubernetes-sigs/azuredisk-csi-driver/pull/964

Comment 5 Jan Safranek 2021-08-18 16:27:05 UTC
aws-efs-csi-driver: we have 1.3.1 in OCP 4.9 and upstream has 1.3.3. The only differences are in helm charts and YAML files. We do not need to update to 1.3.3 in 4.9

Comment 7 Wei Duan 2021-08-30 14:08:21 UTC
Verified pass.

Comment 10 errata-xmlrpc 2021-10-18 17:46:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.